View Issue Details

IDProjectCategoryView StatusLast Update
0022337LazarusLCLpublic2012-07-10 16:34
Reporterxcod Assigned ToLuiz Americo  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWin32OSWindows XP SP3 
Product Version1.1 (SVN) 
Summary0022337: Strange error with TDBLookupComboBox and TDBLookupListBox.
DescriptionThis error occur in runtime and designtime.
I think, that this error reproduce on all DB components. I tested only on TDbf, SQLDb-TIBConnection, SQLDB-MySql, UIB.
reproduce to TDFB, drop:
1. TDbf
2. TDatasource
3. TDBLookupComboBox(or TDBLookupListBox)
3. Assign in runtime Datasource.Dataset := TDbf, and set in TDBLookupComboBox.Listsource := Datasource; Keyfield := any char;
4. and run in runtime
Occur error "File not found...etc"

If you delete KeyField in TDBLookupComboBox and run, no occur error.

I think the problem in TDatasource.
And this error occur only with TDBLookupComboBox and TDBLookupListBox.

On others DB components can also be reproduce.

Win32/Lazarus SVN 1.1 rev.37816, FPC 2.7.1
Sorry for my bad English..
TagsNo tags attached.
Fixed in Revision37861
LazTarget-
Widgetset
Attached Files

Activities

Luiz Americo

2012-07-02 01:22

developer   ~0060801

This error is not related to DBLookup. Somehow the field dataset does not find the keyfield, listfield or datafield

If you want some help add a sample project with TDBF

2012-07-02 16:05

 

TDBFSample.zip (128,917 bytes)

2012-07-02 16:06

 

SQLdb(IB)Sample.zip (129,120 bytes)

xcod

2012-07-02 16:06

reporter   ~0060812

I attached two samples, TDBF and SQLDB with IBConnection.

Luiz Americo

2012-07-02 16:59

developer   ~0060813

I tested the dbf sample. The dataset is not configured at all (TableName etc). This is a pretty basic (user) error and has nothing to do with Lookup controls or Lazarus itself.

I suggest you read http://wiki.freepascal.org/Lazarus_Database_Tutorial and related content

2012-07-03 04:29

 

TDBFSample2.zip (129,489 bytes)

xcod

2012-07-03 04:29

reporter   ~0060821

Last edited: 2012-07-03 04:31

Make it more understandable.
I created new sample with TDBF. In this sample I dont want configure and open DB in designtime. I want configure and open DB in runtime.

Juha Manninen

2012-07-03 07:58

developer   ~0060823

> Make it more understandable.

You should ask this kind of questions on mailing list or forum.
This is a bug-tracker.

xcod

2012-07-03 08:37

reporter   ~0060824

This question on the forum there.
http://www.lazarus.freepascal.org/index.php/topic,17355.0.html
I was asked to write a bug tracker.
Sorry for my bad English...

Luiz Americo

2012-07-03 15:35

developer   ~0060834

Thanks for the new sample. I confirmed the issue and fixed in svn

xcod

2012-07-10 16:33

reporter   ~0060957

Thanks. Closed.

Issue History

Date Modified Username Field Change
2012-06-29 16:13 xcod New Issue
2012-06-29 16:13 xcod Widgetset => Win32/Win64
2012-07-02 01:22 Luiz Americo Status new => assigned
2012-07-02 01:22 Luiz Americo Assigned To => Luiz Americo
2012-07-02 01:22 Luiz Americo LazTarget => -
2012-07-02 01:22 Luiz Americo Note Added: 0060801
2012-07-02 01:22 Luiz Americo Status assigned => feedback
2012-07-02 16:05 xcod File Added: TDBFSample.zip
2012-07-02 16:06 xcod File Added: SQLdb(IB)Sample.zip
2012-07-02 16:06 xcod Note Added: 0060812
2012-07-02 16:59 Luiz Americo Widgetset Win32/Win64 =>
2012-07-02 16:59 Luiz Americo Status feedback => resolved
2012-07-02 16:59 Luiz Americo Resolution open => no change required
2012-07-02 16:59 Luiz Americo Note Added: 0060813
2012-07-03 04:29 xcod File Added: TDBFSample2.zip
2012-07-03 04:29 xcod Note Added: 0060821
2012-07-03 04:31 xcod Note Edited: 0060821
2012-07-03 07:58 Juha Manninen Note Added: 0060823
2012-07-03 08:37 xcod Note Added: 0060824
2012-07-03 15:33 Luiz Americo Status resolved => confirmed
2012-07-03 15:35 Luiz Americo Fixed in Revision => 37861
2012-07-03 15:35 Luiz Americo Status confirmed => resolved
2012-07-03 15:35 Luiz Americo Resolution no change required => fixed
2012-07-03 15:35 Luiz Americo Note Added: 0060834
2012-07-10 16:33 xcod Note Added: 0060957
2012-07-10 16:34 xcod Status resolved => closed